v5.0

post

/ec-codelist-svc/rest/v5.0/codelist/code

Create a new codelist with its values.

Request

Query Parameters
  • Required. Study mode used to scope the codelist request. Allowed values are active, test, and training.
    Example:
    test
  • Required. Study identifier used to scope the codelist request. Use a UUID represented as a 32-character uppercase hexadecimal string.
    Example:
    B1B8327AFAA6412287106192AB5984EF
Supported Media Types
Request Body - application/json ()
Root Schema : CodeListRequestV5.0
Type: object
Title: CodeListRequestV5.0
Codelist request payload containing the codelist definition and values.
Show Source
Nested Schema : CodeV3
Type: object
Codelist definition.
Show Source
Example:
{
    "codeName":"AE_SEVERITY",
    "description":"Severity of adverse event.",
    "codeType":"String",
    "codeLevel":"CUSTOM",
    "tag":"safety"
}
Nested Schema : values
Type: array
Codelist values.
Show Source
Example:
[
    {
        "codeValue":"MILD",
        "codeLabel":"Mild",
        "language":"en",
        "sequence":1,
        "locale":"en-US",
        "modeSiteMappings":[
            {
                "mode":"test"
            }
        ]
    }
]
Nested Schema : CodeValueV5
Type: object
Codelist values.
Show Source
Example:
[
    {
        "codeValue":"MILD",
        "codeLabel":"Mild",
        "language":"en",
        "sequence":1,
        "locale":"en-US",
        "modeSiteMappings":[
            {
                "mode":"test"
            }
        ]
    }
]
Nested Schema : modeSiteMappings
Type: array
Mode to site mappings.
Show Source
Example:
[
    {
        "mode":"test",
        "sites":[
            {
                "siteId":"1BC29B36F5D64B1B95F4BDBBCEA481BE",
                "isAssociated":true
            }
        ]
    }
]
Nested Schema : ModeSiteMappingTO
Type: object
Mode to site mappings.
Show Source
Example:
[
    {
        "mode":"test",
        "sites":[
            {
                "siteId":"1BC29B36F5D64B1B95F4BDBBCEA481BE",
                "isAssociated":true
            }
        ]
    }
]
Nested Schema : sites
Type: array
Sites associated to the mode.
Show Source
Example:
[
    {
        "siteId":"1BC29B36F5D64B1B95F4BDBBCEA481BE",
        "isAssociated":true
    }
]
Nested Schema : SiteTO
Type: object
Sites associated to the mode.
Show Source
Example:
[
    {
        "siteId":"1BC29B36F5D64B1B95F4BDBBCEA481BE",
        "isAssociated":true
    }
]
Examples

Back to Top

Response

Supported Media Types

200 Response

Success
Body ()
Root Schema : BaseCodeListDtoV1.0
Type: object
Title: BaseCodeListDtoV1.0
Codelist response payload containing the codelist definition and values.
Show Source
Nested Schema : code
Type: object
Codelist definition.
Example:
{
    "id":"D1D8327AFAA6412287106192AB5984EF",
    "codeName":"AE_SEVERITY",
    "codeType":"String",
    "codeLevel":"SYSTEM"
}
Nested Schema : values
Type: array
Codelist values.
Show Source
Example:
[
    {
        "id":"56B7D39029424986ADC86DC4B976DD5E",
        "codeValue":"MILD",
        "codeLabel":"Mild",
        "sequence":1,
        "locale":"en-US"
    }
]
Nested Schema : items
Type: object
Codelist values.
Example:
[
    {
        "id":"56B7D39029424986ADC86DC4B976DD5E",
        "codeValue":"MILD",
        "codeLabel":"Mild",
        "sequence":1,
        "locale":"en-US"
    }
]
Examples

400 Response

'Missing required code definition', 'Missing required values definition','Missing required field (codeName)','Missing required field (codeType)','Duplicate code name', 'Internal server error'
Body ()
Root Schema : CodeListResponseV1.0
Type: object
Title: CodeListResponseV1.0
Standard codelist service response envelope.
Show Source
Nested Schema : ErrorResponseData
Type: object
Title: ErrorResponseData
Error Response Details Information
Show Source
  • Object
    Title: Object
    Object with error details information.
  • Error code which is stored in ErrorCode enum. Example : C1-003
    Example: C1-003
  • Error message which is stored in service property file. Example : Cannot modify object after a study version has been approved
    Example: Cannot modify object after a study version has been approved
Nested Schema : result
Type: object
Response result.
Example:
{
}
Nested Schema : Object
Type: object
Title: Object
Object with error details information.
Example:
{
    "field":"studyId",
    "reason":"Invalid value"
}
Examples

500 Response

Internal server error
Body ()
Root Schema : CodeListResponseV1.0
Type: object
Title: CodeListResponseV1.0
Standard codelist service response envelope.
Show Source
Nested Schema : ErrorResponseData
Type: object
Title: ErrorResponseData
Error Response Details Information
Show Source
  • Object
    Title: Object
    Object with error details information.
  • Error code which is stored in ErrorCode enum. Example : C1-003
    Example: C1-003
  • Error message which is stored in service property file. Example : Cannot modify object after a study version has been approved
    Example: Cannot modify object after a study version has been approved
Nested Schema : result
Type: object
Response result.
Example:
{
}
Nested Schema : Object
Type: object
Title: Object
Object with error details information.
Example:
{
    "field":"studyId",
    "reason":"Invalid value"
}
Examples

Back to Top